# EnableAutoConfiguration class

Core framework annotations for Jet

These annotations provide the foundation for dependency injection, configuration, and application lifecycle management.

EnableAutoConfiguration annotation for enabling auto-configuration

This annotation enables Jet's auto-configuration mechanism.

Example Usage:

    @Configuration()
    @EnableAutoConfiguration(exclude: [ClassType<DataSourceAutoConfiguration>()])
    class AppConfig {
      // Configuration pods
    }

Inheritance
  - Object
  - ReflectableAnnotation
  - EnableAutoConfiguration
Annotations
  - @Target({TargetKind.classType})

## Constructors

EnableAutoConfiguration.new({List<ClassType> exclude = const [], List<String> excludeName = const []})
  Core framework annotations for Jet
  const

## Properties

annotationType → Type
  Returns the annotation _type of this annotation.
  no setter override
exclude → List<ClassType>
  Auto-configuration classes to exclude
  final
excludeName → List<String>
  Auto-configuration class names to exclude
  final
hashCode → int
  Returns a hash code consistent with equality definition.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

equals(Object other) → bool
  Checks whether the given object is logically equivalent to this annotation.
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  Returns a string representation of this annotation.
  override

## Operators

operator ==(Object other) → bool
  Checks if this annotation is equal to another object.
  inherited